/*
* Casey Burkhardt
* CSC 1051-002 - Algorithms and Data Structures I
* Music.java
* Due: 10/30/2007
* Description: A class which manages a music library.
*/

public class Music
{
   private String collectionName;
   private String collectionHolder = "";
   private int totalSongs = 0;
   private int totalSeconds = 0;
   private final int SECONDSINHOUR = 3600;
   
   // Constructor
   public Music(String collection)
   {
      collectionName = collection;
   }
   
   public void addSong(String songName, int minutes, int seconds)
   {
      String mins = twoDigits(minutes);
      String secs = twoDigits(seconds);
      collectionHolder = collectionHolder + "\t" + mins + ":" + secs + "\t" + songName + "\n";
      addToTotal(minutes, seconds);
   }
   
   private String twoDigits(int value)
   {
      if (value < 10)
         return("0" + value);
      else
         return("" + value);
   }
   
   private void addToTotal(int minutes, int seconds)
   {
      totalSeconds = totalSeconds + (minutes * 60) + seconds;
      totalSongs++;
   }
   
   public String suggestMedia()
   {
      if (totalSeconds <= SECONDSINHOUR)
         return("Suggested media: CD");
      else if (totalSeconds <= (SECONDSINHOUR * 2))
         return("Suggested media: IPOD mini");
      else if (totalSeconds <= (SECONDSINHOUR * 8))
         return("Suggested media: IPOD");
      else
         return("Suggested media: Computer");
   }
   
   private int secondsToMinutes(int seconds)
   {
      final int SECONDSINMINUTE = 60;
      return(seconds / SECONDSINMINUTE);
   }
   
   private int remainingSeconds(int seconds)
   {
      final int SECONDSINMINUTE = 60;
      return(seconds % SECONDSINMINUTE);
   }  
   
   public String toString()
   {
      String finalCollection;
      finalCollection = "Music Collection: " + collectionName + "\n" + collectionHolder + "\n" + "Minutes: " + secondsToMinutes(totalSeconds) + "\tSeconds: " + remainingSeconds(totalSeconds) + "\n";      
      return(finalCollection);
   }
}